Bug 1030485 - HotRod Rolling Upgrades from Delirium 5.2.4 (JDG-6.1) to latest server needs dropped org.infinispan.util.ByteArrayKey
Summary: HotRod Rolling Upgrades from Delirium 5.2.4 (JDG-6.1) to latest server needs ...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1017190
TreeView+ depends on / blocked
 
Reported: 2013-11-14 14:29 UTC by Tomas Sykora
Modified: 2014-01-08 15:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3712 Major Resolved HotRod Rolling Upgrades from Delirium 5.2.4 to latest server needs dropped org.infinispan.util.ByteArrayKey 2017-04-13 03:07:14 UTC

Description Tomas Sykora 2013-11-14 14:29:49 UTC
See linked JIRA as this looks like some back-porting compatibility issue.

When I replace old server distribution by current snapshot, it works.

Comment 2 Tomas Sykora 2013-11-15 09:10:03 UTC
Pull request integrated, setting to on QA for the first CR release after BETA (i.e. after 3.2)

Comment 3 Tomas Sykora 2013-11-19 11:44:17 UTC
Tests are still not passing :( 
The same problem.

Comment 4 Tomas Sykora 2013-11-19 11:47:16 UTC
But now, with one line lower (of course, import org.infinispan.util.ByteArrayKey; was added):

Caused by: java.lang.ClassNotFoundException: org.infinispan.util.ByteArrayKey from [Module "org.infinispan:main" from local module loader @284bd160 (finder: local module finder @99f0a4b (roots: /home/tsykora/programs/eclipseWorkspace/Infinispan-server-tsykora/infinispan-server/testsuite/target/server/node1/modules,/home/tsykora/programs/eclipseWorkspace/Infinispan-server-tsykora/infinispan-server/testsuite/target/server/node1/modules/system/layers/base))]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:190)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:468)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:456)
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:398)
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:120)
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at org.jboss.marshalling.AbstractClassResolver.loadClass(AbstractClassResolver.java:135)
	at org.jboss.marshalling.AbstractClassResolver.resolveClass(AbstractClassResolver.java:116)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadClassDescriptor(RiverUnmarshaller.java:947)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadNewObject(RiverUnmarshaller.java:1259)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadObject(RiverUnmarshaller.java:276)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadObject(RiverUnmarshaller.java:213)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadCollectionObject(RiverUnmarshaller.java:184)
	at org.jboss.marshalling.river.RiverUnmarshaller.readCollectionData(RiverUnmarshaller.java:777)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadObject(RiverUnmarshaller.java:656)
	at org.jboss.marshalling.river.RiverUnmarshaller.doReadObject(RiverUnmarshaller.java:213)
	at org.jboss.marshalling.AbstractObjectInput.readObject(AbstractObjectInput.java:37)
	at org.infinispan.commons.marshall.jboss.AbstractJBossMarshaller.objectFromObjectStream(AbstractJBossMarshaller.java:140)
	at org.infinispan.commons.marshall.jboss.AbstractJBossMarshaller.objectFromByteBuffer(AbstractJBossMarshaller.java:118)
	at org.infinispan.commons.marshall.AbstractMarshaller.objectFromByteBuffer(AbstractMarshaller.java:82)
	at org.infinispan.persistence.remote.upgrade.HotRodTargetMigrator.synchronizeData(HotRodTargetMigrator.java:62)
	... 15 more

Comment 5 JBoss JIRA Server 2013-11-29 08:44:49 UTC
Martin Gencur <mgencur@redhat.com> updated the status of jira ISPN-3712 to Reopened

Comment 6 JBoss JIRA Server 2013-11-29 08:44:49 UTC
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3712

Tests are still failing. This is not working yet.

Comment 8 JBoss JIRA Server 2013-12-05 07:56:20 UTC
Vojtech Juranek <vjuranek@redhat.com> made a comment on jira ISPN-3712

HI,
I spot same/similar issue in ispn testsuite (org.infinispan.cli.interpreter.UpgradeTest.testSynchronization):
{noformat}
Caused by: java.lang.ClassNotFoundException: org.infinispan.util.ByteArrayKey
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
	... 26 more
{noformat}
Whole exception can be found here:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-solaris/125/USE_JDK=JDK6,jdk=java17_default,label=sol11_x86_64/testReport/junit/org.infinispan.cli.interpreter/UpgradeTest/testSynchronization/

Comment 9 JBoss JIRA Server 2013-12-06 18:36:26 UTC
Vojtech Juranek <vjuranek@redhat.com> made a comment on jira ISPN-3712

PRs [1,2] seems to fix the issue

[1] https://github.com/infinispan/infinispan-server/pull/202
[2] https://github.com/infinispan/infinispan/pull/2260

Comment 10 Tomas Sykora 2013-12-10 12:50:38 UTC
Yes, confirming this investigation.
Tests are passing with latest community ispn-server version. Brilliant, Tristan!

Expecting this BZ to be set ON_QA for ER6 for final verification.

Comment 11 Tomas Sykora 2013-12-16 14:25:59 UTC
Tristan, your words :)

edit modules/system/layers/base/org/infinispan/commons/main/module.xml

add this line <module name="org.infinispan.adaptor52x" optional="true" export="true"/>

This made HR roll ups from 6.1.GA to ER6 working.

Expecting this fix in ER7. 

Setting back to ASSIGNED.

Comment 12 Tomas Sykora 2014-01-08 15:45:18 UTC
It is working, but server needs to be "down-patched" to use Hot Rod client protocol 1.2. With these settings it was verified.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.